6.4Maven依赖版本管理的讲解

软要求可以被依赖图中其它地方发现的同一artifact的不同版本替换。硬要求强制要求一个或多个特定版本并覆盖软要求。如果没有满足该工件所有硬性要求的依赖项版本,则构建失败。

版本要求具有以下语法:

软要求

1.0: 1.0 的软要求。如果依赖关系树中没有其他版本出现更早,那使用 1.0。

硬要求

[1.0]: 严格匹配1.0
(,1.0]:相当于<=1.0
[1.2,1.3]:相当于>=1.2 <=1.3
[1.0,2.0): 相当于>=1.0 <2.0
[1.5,):相当于>=1.5
(,1.0],[1.2,):相当于<=1.0 或 >=1.2,多个要求用逗号分隔。
(,1.1),(1.1,): 除 1.1 以外的任何版本的硬性要求;例如因为 1.1 有一个严重的漏洞。

原创文章,作者:huoxiaoqiang,如若转载,请注明出处:https://www.huoxiaoqiang.com/back/java/6899.html

发表评论

登录后才能评论